<div class="carded">
    <div class="top-bg warn"></div>

    <div class="center">
        <div class="header">
            <h2 primary>Planos de Uso de Suelo</h2>           
        </div>

        <div class="content-card">
            <perfect-scrollbar>
                <mat-table [dataSource]="dataSource" matSort class="vertical-fit">
                    <ng-container matColumnDef="idplanosuelo">
                        <mat-header-cell *matHeaderCellDef> Código </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.idplanosuelo}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="numerplano">
                        <mat-header-cell *matHeaderCellDef> # Plano </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.numerplano}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="superficietitulo">
                        <mat-header-cell *matHeaderCellDef> Sup. Título </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.superficietitulo}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="superficiemensura">
                        <mat-header-cell *matHeaderCellDef> Sup. Mensura </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.superficiemensura}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="zona">
                        <mat-header-cell *matHeaderCellDef> Zona </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.zona}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="uv">
                        <mat-header-cell *matHeaderCellDef> Uv </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.uv}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="manzana">
                        <mat-header-cell *matHeaderCellDef> Manzana </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.manzana}} </mat-cell>
                    </ng-container>
                    
                    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                    <mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onLineamientoDetailNavigate(row)"></mat-row>
                </mat-table>
            </perfect-scrollbar>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </div>
    </div>
</div>